varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying mediump vec3 v_normal;

varying highp vec4 v_worldPos;
varying highp vec3 v_camPOS;
varying highp vec4 v_lightPos;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;

uniform mediump float u_materialShininess;

uniform mediump vec4 u_materialSpecular;

void main() {

	vec3 V = normalize( v_camPOS - v_worldPos.xyz );

	vec3 L = normalize( v_lightPos.xyz - v_worldPos.xyz );

	vec3 H = normalize( L + V );

	float NdotH = max( dot( v_normal, H ), 0.0 );

	float SpecPow = pow( NdotH, u_materialShininess );

	vec4 pixelColour = texture2D( u_texture, v_texCoord );

	vec4 Spec = texture2D( u_texture1, v_texCoord ) * SpecPow;

	gl_FragColor = pixelColour + ( u_materialSpecular * Spec );

}