varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform highp float u_time;

void main() {

	highp vec2 coords = v_texCoord;

	highp vec2 dir = coords - vec2(1.0, 0.5);

	highp float dist = distance( coords, vec2(1.0, 0.5) );

	highp vec2 offset = dir * ( cos( dist * 160.000 - u_time * 2.0 ) ) / 100.0;

	highp vec2 texCoord = coords + offset;

	highp vec4 diffuse = texture2D( u_texture, texCoord );

	gl_FragColor = v_color * diffuse;	

}